1. Text-to-Video
POST /text2video
Generate Videos Based on Text Prompts.
Request Body
{
"prompt": "A Cat Running on the Grass",
"size": "832*480",
"base_seed": -1,
"frame_num": 25,
"sample_shift": 0.0,
"sample_solver": "unipc",
"sample_steps": 30,
"sample_guide_scale": 5.0,
"offload_model": false
}Parameter Description
prompt(Required):Text Prompt for Video Generationsize(Optional):Dimensions of the generated video (widthheight), defaulting to "832*480" for image-to-video tasksbase_seed(Optional):Random seed for generating images or videos, with a default value of -1frame_num(Optional):Number of frames sampled from images or videos, which should be a number in the form of 4n+1sample_shift(Optional):Sampling offset factor of the flow matching schedulersample_solver(Optional):Sampling solver used, default is "unipc"sample_steps(Optional):Number of sampling stepssample_guide_scale(Optional):Classifier-free guidance scale, default value is 5.0offload_model(Optional):Whether to offload the model to the CPU after each model forward propagation (to reduce GPU memory usage). The default value is false.
Response (200)
{
"id": "Task ID",
"status": "Task Status",
"message": "Status Information"
}2. Get Task Status
GET /status/{id}
Query the Status of a Specific Task.
Path Parameter
id(Required):Task ID
Response (200)
{
"id": "Task ID",
"status": "Task Status",
"message": "Status Information"
}3. Download Video
GET /download/{id}
Download the Generated Video.
Path Parameter
id(Required):Task ID
Response (200)
Video Data